com.atid.lib.module.rfid.uhf.atm

## Class ATRfidUhfATM

- java.lang.Object
- - com.atid.lib.module.rfid.uhf.ATRfidUhf
  - - com.atid.lib.module.rfid.uhf.atm.ATRfidUhfATM

- All Implemented Interfaces:
    com.atid.lib.module.rfid.uhf.module.ATModuleRfidUhf.IModuleRfidUhfEventListener

      public class ATRfidUhfATM
      extends ATRfidUhf
      implements com.atid.lib.module.rfid.uhf.module.ATModuleRfidUhf.IModuleRfidUhfEventListener

  The ATRfidUhfATM class is a class inherited from the ATRfidUhf class and is intended to support ATM2000 and ATM500 modules.

- - ### Field Summary

    - ### Fields inherited from class com.atid.lib.module.rfid.uhf.ATRfidUhf

      `INFO, mListeners, mModule, mReader, TAG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ATRfidUhfATM(ModuleRfidUhfType type, com.atid.lib.device.IReader reader)` Create an instance of the ATRfidUhfATM class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEpcMask(EpcMaskParam param)` Add the EPC Mask of the RFID UHF module of the Device.
    `protected void` | `assertAction()`
    `protected void` | `assertModule()`
    `protected ResultCode` | `checkError()`
    `void` | `clearEpcMask()` Remove all EPC Mask items from the RFID UHF module of the device.
    `java.lang.String` | `getAccessPassword()` When the RFID UHF module of the device communicates with the tag, it returns the Access Password to use.
    `AlgorithmType` | `getAlgorithmType()` Returns the algorithm that the RFID UHF module of the appliance uses to perform the inventory.
    `boolean` | `getContinuousMode()` Returns whether the RFID UHF module on the device will cause the Inventory to run continuously.
    `int` | `getCurrentLinkProfile()` Returns the link profile of the RFID UHF module of the Device. ( Temporarily Type )
    `int` | `getDefaultLinkProfile()` Returns the link profile of the RFID UHF module of the Device. ( Permanently Type ) The power of the device must be turned off and on.
    `EpcMaskParam` | `getEpcMask(int index)` Returns the EPC Mask of the RFID UHF module of the Device.
    `int` | `getEpcMaskCount()` Returns the number of EPC Mask items in the RFID UHF module of the device.
    `boolean` | `getEpcMaskMatchMode()` Returns the method of comparing the EPC Mask items of the RFID UHF module of the Device.
    `FreqTableList` | `getFreqTable()` The RFID UHF module of the Device returns the frequency table.
    `GlobalBandType` | `getGlobalBand()` Returns the national orientation of the RFID UHF module of the instrument.
    `int` | `getIdleTime()` The RFID UHF module of the instrument returns the time that the radio waves are not output in the Inventory operation and is resting.
    `int` | `getInventoryTagType()` When the RFID UHF module of the device performs an inventory operation, it returns the type of Inventory tags.
    `int` | `getInventoryTime()` Returns the time at which radio waves are actually output from the Inventory operation of the RFID UHF module in the instrument.
    `int` | `getLimitTagCount()` When the RFID UHF module of the device performs an inventory operation, it returns the number of tags read as the stop condition of Inventory.
    `int` | `getMaxQ()` If the algorithm of the RFID UHF module of the device uses Dynamic Q, it returns the maximum Q value.
    `int` | `getMinQ()` If the algorithm of the RFID UHF module of the device uses Dynamic Q, it returns the minimum Q value.
    `int` | `getOperationTime()` Returns the operating time of the RFID UHF module of the instrument.
    `int` | `getPower()` Returns the antenna output of the RFID UHF module of the instrument.
    `PowerRange` | `getPowerRange()` Returns the antenna output range of the RFID UHF module of the instrument.
    `int` | `getReadTidLength()` Device returns the length of TID memory that can be read along with Tag value at Inventory for TID Inventory when TID Inventory function is supported.
    `boolean` | `getReportMode()` Inventory the device as an RFID UHF module and return whether the tag read will send the same tag to the event only once or read each time it is read.
    `boolean` | `getReportRssi()` Returns whether the RFID UHF module of the device will pass additional RSSI and Phase to the operation result.
    `int` | `getSameTagReportTime()` When the RFID UHF module of the device performs an Inventory operation, it returns the time when the same tag is not recognized again.
    `SelectFlag` | `getSelectFlag()` The RFID UHF module of the device returns the status of the Select Flag of the tag to be read by the Inventory operation.
    `SelectMask6cParam` | `getSelectMask6c(int index)` Returns the Selection Mask item of the RFID UHF module of the Device.
    `Mask6cAction` | `getSelectMask6cAction(int index)` Returns the comparison behavior of the Selection Mask item of the RFID UHF module of the Device.
    `BankType` | `getSelectMask6cBank(int index)` The Selection Mask item of the Device's RFID UHF module returns the memory bank to compare.
    `boolean` | `getSelectMask6cEnabled(int index)` Returns whether to use the Selection Mask item of the RFID UHF module of the Device.
    `int` | `getSelectMask6cOffset(int index)` The Selection Mask item of the RFID UHF module of the Device returns the starting address of the memory to start the comparison.
    `Mask6cPattern` | `getSelectMask6cPattern(int index)` Returns the comparison value and length of the Selection Mask item of the RFID UHF module of the Device.
    `Mask6cTarget` | `getSelectMask6cTarget(int index)` Returns the Flag of the tag to store the comparison result of Selection Mask item of RFID UHF module of Device.
    `SessionFlag` | `getSessionFlag()` The RFID UHF module of the device returns the status of the Session Flag of the tag to be read by the Inventory operation.
    `SessionTarget` | `getSessionTarget()` The RFID UHF module of the device returns the Session Flag to check the state of the Session Flag of the tag to be read by the Inventory operation.
    `int` | `getStartQ()` If the algorithm of the RFID UHF module of the device is using Dynamic Q, it returns the starting Q value.
    `java.lang.String` | `getVersion()` Returns the version of the RFID UHF module.
    `boolean` | `initMoudle()` After the Device is connected, it calls to instantiate the ATRfidUhf instance.
    `ResultCode` | `inventory6b()` Device instructs to inventory the RFID UHF tag of ISO18000-6c Gen2 standard.
    `ResultCode` | `inventory6c()` Device instructs to inventory the RFID UHF tag of ISO18000-6c Gen2 standard.
    `ResultCode` | `kill6c(java.lang.String password)` Device instructs the RFID UHF tag of ISO18000-6c Gen2 specification to be no longer available.
    `ResultCode` | `lock6b(com.atid.lib.module.rfid.uhf.params.Lock6bParam param, java.lang.String password)` Instructs the Device to lock or unlock the RFID UHF tag of ISO18000-6b Gen2 specification.
    `ResultCode` | `lock6c(Lock6cParam param, java.lang.String password)` Instructs the Device to lock or unlock the RFID UHF tags of the ISO18000-6c Gen2 standard.
    `void` | `onAccessResult(ResultCode code, ActionType action, java.lang.String epc, java.lang.String data, java.lang.Object params)`
    `void` | `onPowerGainChanged(int power, java.lang.Object params)`
    `void` | `onReadTag(java.lang.String tag, java.lang.Object params)`
    `ResultCode` | `permaLock6c(PermaLock6cParam param, java.lang.String password)` Device instructs the RFID UHF tag of ISO18000-6c Gen2 specification to perform a permanent lock.
    `ResultCode` | `readMemory6b(int offset, int length, java.lang.String password)` Device instructs to read specific memory of RFID UHF tag of ISO18000-6b Gen2 standard.
    `ResultCode` | `readMemory6c(BankType bank, int offset, int length, java.lang.String password)` Device instructs to read specific memory of RFID UHF tag of ISO18000-6c Gen2 standard.
    `void` | `setAccessPassword(java.lang.String password)` Set the Access Password to use when the RFID UHF module of the device communicates with the tag.
    `protected void` | `setAction(ActionState action, java.lang.String password)`
    `void` | `setAlgorithmType(AlgorithmType type)` Sets the algorithm that the RFID UHF module of the appliance uses to perform the inventory.
    `void` | `setContinuousMode(boolean enabled)` Sets whether or not the RFID UHF module of the device will run the Inventory continuously.
    `void` | `setCurrentLinkProfile(int index)` Sets the link profile of the RFID UHF module of the Device. ( Temporarily Type )
    `void` | `setDefaultLinkProfile(int index)` Sets the link profile of the RFID UHF module of the Device. ( Permanently Type ) The power of the device must be turned off and on.
    `void` | `setEpcMaskMatchMode(boolean enabled)` Set the method of comparing EPC Mask items of the RFID UHF module of the device.
    `protected void` | `setException(ATException e)`
    `void` | `setFreqTable(FreqTableList table)` The RFID UHF module of the device sets up the frequency table.
    `void` | `setGlobalBand(GlobalBandType band)` Set the national orientation of the RFID UHF module of the instrument.
    `void` | `setIdleTime(int time)` The RFID UHF module of the instrument sets the time for which the radio waves are not output in the Inventory operation and the rest of the time.
    `ResultCode` | `setInventoryTagType(int type)` When the RFID UHF module of the device performs the inventory operation, it sets the specified type of the tags Inventory.
    `void` | `setInventoryTime(int time)` Sets the time at which radio waves are actually output in Inventory operation of the RFID UHF module of the instrument.
    `void` | `setLimitTagCount(int count)` When the RFID UHF module of the device performs the inventory operation, it sets the number of tags read as the stop condition of Inventory.
    `void` | `setMaxQ(int value)` If the algorithm of the RFID UHF module of the device uses Dynamic Q, set the maximum Q value.
    `void` | `setMinQ(int value)` If the algorithm of the RFID UHF module of the device uses Dynamic Q, set the minimum Q value.
    `void` | `setOperationTime(int time)` Set the operation time of the RFID UHF module of the device.
    `void` | `setPower(int power)` Set the antenna output of the RFID UHF module of the instrument.
    `void` | `setReadTidLength(int length)` If the TID Inventory function is supported by the device, set the TID memory length that can be read along with the Tag value at the time of Inventory for TID Inventory.
    `void` | `setReportMode(boolean enabled)` Inventory the device as an RFID UHF module and set whether the read tag sends the same tag to the event only once or whenever it reads it.
    `void` | `setReportRssi(boolean enabled)` Sets whether the RFID UHF module of the device will pass additional RSSI and Phase to the operation result.
    `com.atid.lib.protocol.Response` | `setRfidCarrierWave(boolean enabled)` When the RFID UHF module of the device performs the inventory operation, it sets the specified type of the tags Inventory.
    `void` | `setSameTagReportTime(int time)` When the RFID UHF module of the device performs an Inventory operation, set the time at which the same tag is not recognized again.
    `void` | `setSelectFlag(SelectFlag flag)` The RFID UHF module of the device sets the status of the Select Flag of the tag to be read by the Inventory operation.
    `void` | `setSelectMask6c(int index, SelectMask6cParam param)` Set the Selection Mask item of the RFID UHF module of the Device.
    `void` | `setSelectMask6cAction(int index, Mask6cAction action)` Set the comparison behavior of the Selection Mask item of the RFID UHF module of the device.
    `void` | `setSelectMask6cBank(int index, BankType bank)` The Selection Mask item of the RFID UHF module of the device sets the memory bank to be compared.
    `void` | `setSelectMask6cEnabled(int index, boolean enabled)` Set whether or not to use the Selection Mask item of the RFID UHF module of the Device.
    `void` | `setSelectMask6cOffset(int index, int offset)` The Selection Mask item of the RFID UHF module of the device sets the start address of the memory to start the comparison.
    `void` | `setSelectMask6cPattern(int index, Mask6cPattern pattern)` Set the comparison value and length of the Selection Mask item of the RFID UHF module of the device.
    `void` | `setSelectMask6cTarget(int index, Mask6cTarget target)` Set the Flag of the tag to save the comparison result of Selection Mask item of the RFID UHF module of the device.
    `void` | `setSessionFlag(SessionFlag flag)` Device's RFID UHF module sets the state of Session flag of tag to read by Inventory operation.
    `void` | `setSessionTarget(SessionTarget target)` Device's RFID UHF module sets the Session Flag to check the status of the Session Flag of the tag to be read by Inventory operation.
    `void` | `setStartQ(int value)` If the algorithm of the RFID UHF module of the device is using Dynamic Q, set the starting Q value.
    `ResultCode` | `stop()` Instructs the Device to stop the operation being performed.
    `ResultCode` | `writememory6b(int offet, java.lang.String data, java.lang.String password)` Device instructs to store data in a specific memory of RFID UHF tag of ISO18000-6b Gen2 standard.
    `ResultCode` | `writeMemory6c(BankType bank, int offset, java.lang.String data, java.lang.String password)` Device instructs to store data in a specific memory of RFID UHF tag of ISO18000-6c Gen2 standard.

    - ### Methods inherited from class com.atid.lib.module.rfid.uhf.ATRfidUhf

      `addListener, clearListener, destroy, getType, PumpEvent, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ATRfidUhfATM

          public ATRfidUhfATM(ModuleRfidUhfType type,
                              com.atid.lib.device.IReader reader)

      Create an instance of the ATRfidUhfATM class.
      Parameters:
        `type` - ModuleRfidUhfType enumeration indicating the type of RFID UHF module.
        `reader` - ATRfidUhfATM An instance of the ATEAReader class that implements the IReader interface that owns the class.

  - ### Method Detail

    - #### initMoudle

          public boolean initMoudle()

      Description copied from class: `ATRfidUhf`
      After the Device is connected, it calls to instantiate the ATRfidUhf instance.
      Specified by:
        `initMoudle` in class `ATRfidUhf`
      Returns:
        Returns true if the initialization of the instance succeeds, false otherwise.

    - #### inventory6c

          public ResultCode inventory6c()

      Description copied from class: `ATRfidUhf`
      Device instructs to inventory the RFID UHF tag of ISO18000-6c Gen2 standard.
      Specified by:
        `inventory6c` in class `ATRfidUhf`
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### inventory6b

          public ResultCode inventory6b()

      Description copied from class: `ATRfidUhf`
      Device instructs to inventory the RFID UHF tag of ISO18000-6c Gen2 standard.
      Specified by:
        `inventory6b` in class `ATRfidUhf`
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### readMemory6c

          public ResultCode readMemory6c(BankType bank,
                                         int offset,
                                         int length,
                                         java.lang.String password)

      Description copied from class: `ATRfidUhf`
      Device instructs to read specific memory of RFID UHF tag of ISO18000-6c Gen2 standard.
      Specified by:
        `readMemory6c` in class `ATRfidUhf`
      Parameters:
        `bank` - The BankType enumeration that specifies the Bank for reading memory.
        `offset` - An integer specifying the starting address to start reading from the specified bank. Unit is WORD unit.
        `length` - An integer that specifies the length of data to read from the specified start address. Unit is WORD unit.
        `password` - If the tag is locked, it is a hex string specifying the Access Password set in the tag. Up to 8 characters (2 words) can be input.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### readMemory6b

          public ResultCode readMemory6b(int offset,
                                         int length,
                                         java.lang.String password)

      Description copied from class: `ATRfidUhf`
      Device instructs to read specific memory of RFID UHF tag of ISO18000-6b Gen2 standard.
      Specified by:
        `readMemory6b` in class `ATRfidUhf`
      Parameters:
        `offset` - An integer specifying the starting address to start reading from the specified bank. Unit is WORD unit.
        `length` - An integer that specifies the length of data to read from the specified start address. Unit is WORD unit.
        `password` - If the tag is locked, it is a hex string specifying the Access Password set in the tag. Up to 8 characters (2 words) can be input.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### writeMemory6c

          public ResultCode writeMemory6c(BankType bank,
                                          int offset,
                                          java.lang.String data,
                                          java.lang.String password)

      Description copied from class: `ATRfidUhf`
      Device instructs to store data in a specific memory of RFID UHF tag of ISO18000-6c Gen2 standard.
      Specified by:
        `writeMemory6c` in class `ATRfidUhf`
      Parameters:
        `bank` - The BankType enumeration that specifies the Bank for reading memory.
        `offset` - An integer specifying the starting address to start reading from the specified bank. Unit is WORD unit.
        `data` - An Hex type string that specifies the data to be stored in memory from the specified start address. Data must be specified in WORD units (4 characters).
        `password` - If the tag is locked, it is a hex string specifying the Access Password set in the tag. Up to 8 characters (2 words) can be input.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### writememory6b

          public ResultCode writememory6b(int offet,
                                          java.lang.String data,
                                          java.lang.String password)

      Description copied from class: `ATRfidUhf`
      Device instructs to store data in a specific memory of RFID UHF tag of ISO18000-6b Gen2 standard.
      Specified by:
        `writememory6b` in class `ATRfidUhf`
      Parameters:
        `offet` - An integer specifying the starting address to start reading from the specified bank. Unit is WORD unit.
        `data` - An Hex type string that specifies the data to be stored in memory from the specified start address. Data must be specified in WORD units (4 characters).
        `password` - If the tag is locked, it is a hex string specifying the Access Password set in the tag. Up to 8 characters (2 words) can be input.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### lock6c

          public ResultCode lock6c(Lock6cParam param,
                                   java.lang.String password)

      Description copied from class: `ATRfidUhf`
      Instructs the Device to lock or unlock the RFID UHF tags of the ISO18000-6c Gen2 standard.
      Specified by:
        `lock6c` in class `ATRfidUhf`
      Parameters:
        `param` - An instance of Lock6cParam that specifies the lock area of ​​the tag memory.
        `password` - If the tag is locked, it is a hex string specifying the Access Password set in the tag. Up to 8 characters (2 words) can be input.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### permaLock6c

          public ResultCode permaLock6c(PermaLock6cParam param,
                                        java.lang.String password)

      Description copied from class: `ATRfidUhf`
      Device instructs the RFID UHF tag of ISO18000-6c Gen2 specification to perform a permanent lock.
      Specified by:
        `permaLock6c` in class `ATRfidUhf`
      Parameters:
        `param` - An instance of PermaLock6cParam that specifies a permanent lock area for tag memory.
        `password` - If the tag is locked, it is a hex string specifying the Access Password set in the tag. Up to 8 characters (2 words) can be input.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### lock6b

          public ResultCode lock6b(com.atid.lib.module.rfid.uhf.params.Lock6bParam param,
                                   java.lang.String password)

      Description copied from class: `ATRfidUhf`
      Instructs the Device to lock or unlock the RFID UHF tag of ISO18000-6b Gen2 specification. Reserved , This API is not supported from sdk.
      Specified by:
        `lock6b` in class `ATRfidUhf`
      Parameters:
        `param` - An instance of Lock6bParam that specifies the lock area for the tag memory.
        `password` - If the tag is locked, it is a hex string specifying the Access Password set in the tag. Up to 8 characters (2 words) can be input.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### kill6c

          public ResultCode kill6c(java.lang.String password)

      Description copied from class: `ATRfidUhf`
      Device instructs the RFID UHF tag of ISO18000-6c Gen2 specification to be no longer available.
      Specified by:
        `kill6c` in class `ATRfidUhf`
      Parameters:
        `password` - Hex type string that specifies the Kill Password set in the tag.
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### stop

          public ResultCode stop()

      Description copied from class: `ATRfidUhf`
      Instructs the Device to stop the operation being performed.
      Specified by:
        `stop` in class `ATRfidUhf`
      Returns:
        The ResultCode enumeration indicating the result of executing the command.

    - #### getVersion

          public java.lang.String getVersion()
                                      throws ATException

      Description copied from class: `ATRfidUhf`
      Returns the version of the RFID UHF module.
      Specified by:
        `getVersion` in class `ATRfidUhf`
      Returns:
        A string representing version information.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getPowerRange

          public PowerRange getPowerRange()
                                   throws ATException

      Description copied from class: `ATRfidUhf`
      Returns the antenna output range of the RFID UHF module of the instrument.
      Specified by:
        `getPowerRange` in class `ATRfidUhf`
      Returns:
        An instance of PowerRange that represents the antenna output range of the RFID UHF module of the device. The return unit is dBm × 10.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getPower

          public int getPower()
                       throws ATException

      Description copied from class: `ATRfidUhf`
      Returns the antenna output of the RFID UHF module of the instrument.
      Specified by:
        `getPower` in class `ATRfidUhf`
      Returns:
        An integer specifying the antenna output of the RFID UHF module. The setting unit is dBm × 10.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setPower

          public void setPower(int power)
                        throws ATException

      Description copied from class: `ATRfidUhf`
      Set the antenna output of the RFID UHF module of the instrument.
      Specified by:
        `setPower` in class `ATRfidUhf`
      Parameters:
        `power` - An integer specifying the antenna output of the RFID UHF module. The setting unit is dBm × 10.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getContinuousMode

          public boolean getContinuousMode()
                                    throws ATException

      Description copied from class: `ATRfidUhf`
      Returns whether the RFID UHF module on the device will cause the Inventory to run continuously.
      Specified by:
        `getContinuousMode` in class `ATRfidUhf`
      Returns:
        A boolean specifying whether the RFID UHF module will continue to perform Inventory operations.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setContinuousMode

          public void setContinuousMode(boolean enabled)
                                 throws ATException

      Description copied from class: `ATRfidUhf`
      Sets whether or not the RFID UHF module of the device will run the Inventory continuously.
      Specified by:
        `setContinuousMode` in class `ATRfidUhf`
      Parameters:
        `enabled` - A boolean specifying whether the RFID UHF module will continue to perform Inventory operations.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getAccessPassword

          public java.lang.String getAccessPassword()
                                             throws ATException

      Description copied from class: `ATRfidUhf`
      When the RFID UHF module of the device communicates with the tag, it returns the Access Password to use.
      Specified by:
        `getAccessPassword` in class `ATRfidUhf`
      Returns:
        A string in hex format that specifies the Access Password. Access password can be up to 8 characters (2 words). If the length of the string is less than 8 characters, fill it with "0" to make the length of the string 8 characters.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setAccessPassword

          public void setAccessPassword(java.lang.String password)
                                 throws ATException

      Description copied from class: `ATRfidUhf`
      Set the Access Password to use when the RFID UHF module of the device communicates with the tag.
      Specified by:
        `setAccessPassword` in class `ATRfidUhf`
      Parameters:
        `password` - A string in hex format that specifies the Access Password. Access password can be up to 8 characters (2 words). If the length of the string is less than 8 characters, fill it with "0" to make the length of the string 8 characters.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getGlobalBand

          public GlobalBandType getGlobalBand()
                                       throws ATException

      Description copied from class: `ATRfidUhf`
      Returns the national orientation of the RFID UHF module of the instrument.
      Specified by:
        `getGlobalBand` in class `ATRfidUhf`
      Returns:
        GlobalBandType enumeration that represents the national orientation of the RFID UHF module.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setGlobalBand

          public void setGlobalBand(GlobalBandType band)
                             throws ATException

      Description copied from class: `ATRfidUhf`
      Set the national orientation of the RFID UHF module of the instrument.
      Specified by:
        `setGlobalBand` in class `ATRfidUhf`
      Parameters:
        `band` - GlobalBandType enumeration that represents the national orientation of the RFID UHF module.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getReportRssi

          public boolean getReportRssi()
                                throws ATException

      Description copied from class: `ATRfidUhf`
      Returns whether the RFID UHF module of the device will pass additional RSSI and Phase to the operation result.
      Specified by:
        `getReportRssi` in class `ATRfidUhf`
      Returns:
        A boolean specifying whether to pass additional RSSI and Phase to the result of the operation.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setReportRssi

          public void setReportRssi(boolean enabled)
                             throws ATException

      Description copied from class: `ATRfidUhf`
      Sets whether the RFID UHF module of the device will pass additional RSSI and Phase to the operation result.
      Specified by:
        `setReportRssi` in class `ATRfidUhf`
      Parameters:
        `enabled` - A boolean specifying whether to pass additional RSSI and Phase to the result of the operation.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getOperationTime

          public int getOperationTime()
                               throws ATException

      Description copied from class: `ATRfidUhf`
      Returns the operating time of the RFID UHF module of the instrument.
      Specified by:
        `getOperationTime` in class `ATRfidUhf`
      Returns:
        This is an integer specifying the operation time of the RFID UHF module. The unit of operation time is millisecond (ms).
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setOperationTime

          public void setOperationTime(int time)
                                throws ATException

      Description copied from class: `ATRfidUhf`
      Set the operation time of the RFID UHF module of the device.
      Specified by:
        `setOperationTime` in class `ATRfidUhf`
      Parameters:
        `time` - This is an integer specifying the operation time of the RFID UHF module. The unit of operation time is millisecond (ms).
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getInventoryTime

          public int getInventoryTime()
                               throws ATException

      Description copied from class: `ATRfidUhf`
      Returns the time at which radio waves are actually output from the Inventory operation of the RFID UHF module in the instrument.
      Specified by:
        `getInventoryTime` in class `ATRfidUhf`
      Returns:
        An integer that specifies the Inventory time( Tx On ) of the RFID UHF module. Inventory Time ( Tx On ) is in milliseconds (ms).
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data. The Inventory Time and Idle Time set in the RFID UHF module can not exceed 400ms in total. ( FCC : 400 ms , ETSI : 4100 ms , JAPN : 4050 ms ) If Inventory Time is set to 300ms, Idle Time should be set to 100ms or less. If both Inventory Time and Idle Time are set to 0, the RFID UHF module will operate at maximum performance. If the RFID UHF module operates at maximum performance, it may cause module failure due to the heat of the RFID UHF module itself. If the frequency of use of RFID UHF module is low, it may be designated as maximum performance. However, if frequency of use is constant, it is recommended to set proper Inventory Time and Idle Time to adjust performance.

    - #### setInventoryTime

          public void setInventoryTime(int time)
                                throws ATException

      Description copied from class: `ATRfidUhf`
      Sets the time at which radio waves are actually output in Inventory operation of the RFID UHF module of the instrument.
      Specified by:
        `setInventoryTime` in class `ATRfidUhf`
      Parameters:
        `time` - An integer that specifies the Inventory time ( Tx On ) of the RFID UHF module. Inventory Time ( Tx On ) is in milliseconds (ms).
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getIdleTime

          public int getIdleTime()
                          throws ATException

      Description copied from class: `ATRfidUhf`
      The RFID UHF module of the instrument returns the time that the radio waves are not output in the Inventory operation and is resting.
      Specified by:
        `getIdleTime` in class `ATRfidUhf`
      Returns:
        An integer that specifies the Inventory idle time ( Tx Off ) for the RFID UHF module. Idle Time ( Tx Off ) is in milliseconds (ms).
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setIdleTime

          public void setIdleTime(int time)
                           throws ATException

      Description copied from class: `ATRfidUhf`
      The RFID UHF module of the instrument sets the time for which the radio waves are not output in the Inventory operation and the rest of the time.
      Specified by:
        `setIdleTime` in class `ATRfidUhf`
      Parameters:
        `time` - An integer that specifies the Inventory idle time ( Tx Off ) for the RFID UHF module. Idle Time ( Tx Off ) is in milliseconds (ms).
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getLimitTagCount

          public int getLimitTagCount()
                               throws ATException

      Description copied from class: `ATRfidUhf`
      When the RFID UHF module of the device performs an inventory operation, it returns the number of tags read as the stop condition of Inventory.
      Specified by:
        `getLimitTagCount` in class `ATRfidUhf`
      Returns:
        An integer that specifies the number of tags for which the RFID UHF module will stop Inventory.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setLimitTagCount

          public void setLimitTagCount(int count)
                                throws ATException

      Description copied from class: `ATRfidUhf`
      When the RFID UHF module of the device performs the inventory operation, it sets the number of tags read as the stop condition of Inventory.
      Specified by:
        `setLimitTagCount` in class `ATRfidUhf`
      Parameters:
        `count` - An integer that specifies the number of tags for which the RFID UHF module will stop Inventory.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getInventoryTagType

          public int getInventoryTagType()
                                  throws ATException

      Description copied from class: `ATRfidUhf`
      When the RFID UHF module of the device performs an inventory operation, it returns the type of Inventory tags.
      Specified by:
        `getInventoryTagType` in class `ATRfidUhf`
      Returns:
        An integer that specifies the number of tags for which the RFID UHF module will stop Inventory.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setInventoryTagType

          public ResultCode setInventoryTagType(int type)
                                         throws ATException

      Description copied from class: `ATRfidUhf`
      When the RFID UHF module of the device performs the inventory operation, it sets the specified type of the tags Inventory.
      Specified by:
        `setInventoryTagType` in class `ATRfidUhf`
      Parameters:
        `type` - An integer that specifies the number of tags for which the RFID UHF module will stop Inventory.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setRfidCarrierWave

          public com.atid.lib.protocol.Response setRfidCarrierWave(boolean enabled)
                                                            throws ATException

      Description copied from class: `ATRfidUhf`
      When the RFID UHF module of the device performs the inventory operation, it sets the specified type of the tags Inventory.
      Specified by:
        `setRfidCarrierWave` in class `ATRfidUhf`
      Returns:
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSameTagReportTime

          public int getSameTagReportTime()
                                   throws ATException

      Description copied from class: `ATRfidUhf`
      When the RFID UHF module of the device performs an Inventory operation, it returns the time when the same tag is not recognized again.
      Specified by:
        `getSameTagReportTime` in class `ATRfidUhf`
      Returns:
        This is an integer specifying the time to not recognize the same tag repeatedly. SameTagReportTime is in milliseconds (ms).
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSameTagReportTime

          public void setSameTagReportTime(int time)
                                    throws ATException

      Description copied from class: `ATRfidUhf`
      When the RFID UHF module of the device performs an Inventory operation, set the time at which the same tag is not recognized again.
      Specified by:
        `setSameTagReportTime` in class `ATRfidUhf`
      Parameters:
        `time` - This is an integer specifying the time to not recognize the same tag repeatedly. SameTagReportTime is in milliseconds (ms).
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getReportMode

          public boolean getReportMode()
                                throws ATException

      Description copied from class: `ATRfidUhf`
      Inventory the device as an RFID UHF module and return whether the tag read will send the same tag to the event only once or read each time it is read.
      Specified by:
        `getReportMode` in class `ATRfidUhf`
      Returns:
        A boolean specifying whether to fire the event once for the same data.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setReportMode

          public void setReportMode(boolean enabled)
                             throws ATException

      Description copied from class: `ATRfidUhf`
      Inventory the device as an RFID UHF module and set whether the read tag sends the same tag to the event only once or whenever it reads it.
      Specified by:
        `setReportMode` in class `ATRfidUhf`
      Parameters:
        `enabled` - A boolean specifying whether to fire the event once for the same data.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getReadTidLength

          public int getReadTidLength()
                               throws ATException

      Description copied from class: `ATRfidUhf`
      Device returns the length of TID memory that can be read along with Tag value at Inventory for TID Inventory when TID Inventory function is supported.
      Specified by:
        `getReadTidLength` in class `ATRfidUhf`
      Returns:
        An integer indicating the length of the TID memory to read with Inventory. Readable length can be set in 2WORD units.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setReadTidLength

          public void setReadTidLength(int length)
                                throws ATException

      Description copied from class: `ATRfidUhf`
      If the TID Inventory function is supported by the device, set the TID memory length that can be read along with the Tag value at the time of Inventory for TID Inventory.
      Specified by:
        `setReadTidLength` in class `ATRfidUhf`
      Parameters:
        `length` - An integer indicating the length of the TID memory to read with Inventory. Readable length can be set in 2WORD units.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getAlgorithmType

          public AlgorithmType getAlgorithmType()
                                         throws ATException

      Description copied from class: `ATRfidUhf`
      Returns the algorithm that the RFID UHF module of the appliance uses to perform the inventory.
      Specified by:
        `getAlgorithmType` in class `ATRfidUhf`
      Returns:
        An AlgorithmType enumeration specifying the algorithm.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setAlgorithmType

          public void setAlgorithmType(AlgorithmType type)
                                throws ATException

      Description copied from class: `ATRfidUhf`
      Sets the algorithm that the RFID UHF module of the appliance uses to perform the inventory.
      Specified by:
        `setAlgorithmType` in class `ATRfidUhf`
      Parameters:
        `type` - An AlgorithmType enumeration specifying the algorithm.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getStartQ

          public int getStartQ()
                        throws ATException

      Description copied from class: `ATRfidUhf`
      If the algorithm of the RFID UHF module of the device is using Dynamic Q, it returns the starting Q value.
      Specified by:
        `getStartQ` in class `ATRfidUhf`
      Returns:
        Dynamic Q An integer that specifies the starting Q value of the algorithm. The Q value range can be set from 1 to 15.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setStartQ

          public void setStartQ(int value)
                         throws ATException

      Description copied from class: `ATRfidUhf`
      If the algorithm of the RFID UHF module of the device is using Dynamic Q, set the starting Q value.
      Specified by:
        `setStartQ` in class `ATRfidUhf`
      Parameters:
        `value` - Dynamic Q An integer that specifies the starting Q value of the algorithm. The Q value range can be set from 1 to 15.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getMinQ

          public int getMinQ()
                      throws ATException

      Description copied from class: `ATRfidUhf`
      If the algorithm of the RFID UHF module of the device uses Dynamic Q, it returns the minimum Q value.
      Specified by:
        `getMinQ` in class `ATRfidUhf`
      Returns:
        Dynamic type that specifies the minimum Q value of the Q algorithm. The Min Q value must be less than the Max Q value.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setMinQ

          public void setMinQ(int value)
                       throws ATException

      Description copied from class: `ATRfidUhf`
      If the algorithm of the RFID UHF module of the device uses Dynamic Q, set the minimum Q value.
      Specified by:
        `setMinQ` in class `ATRfidUhf`
      Parameters:
        `value` - Dynamic type that specifies the minimum Q value of the Q algorithm. The Min Q value must be less than the Max Q value.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getMaxQ

          public int getMaxQ()
                      throws ATException

      Description copied from class: `ATRfidUhf`
      If the algorithm of the RFID UHF module of the device uses Dynamic Q, it returns the maximum Q value.
      Specified by:
        `getMaxQ` in class `ATRfidUhf`
      Returns:
        Dynamic type that specifies the maximum Q value of the Q algorithm. The Max Q value must be greater than the Min Q value.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setMaxQ

          public void setMaxQ(int value)
                       throws ATException

      Description copied from class: `ATRfidUhf`
      If the algorithm of the RFID UHF module of the device uses Dynamic Q, set the maximum Q value.
      Specified by:
        `setMaxQ` in class `ATRfidUhf`
      Parameters:
        `value` - Dynamic type that specifies the maximum Q value of the Q algorithm. The Max Q value must be greater than the Min Q value.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getFreqTable

          public FreqTableList getFreqTable()
                                     throws ATException

      Description copied from class: `ATRfidUhf`
      The RFID UHF module of the Device returns the frequency table.
      Specified by:
        `getFreqTable` in class `ATRfidUhf`
      Returns:
        An instance of FreqTableList that specifies the frequency table to use for the RFID UHF module. The FreqTableList instance must use the instance returned in getFreqTable.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setFreqTable

          public void setFreqTable(FreqTableList table)
                            throws ATException

      Description copied from class: `ATRfidUhf`
      The RFID UHF module of the device sets up the frequency table.
      Specified by:
        `setFreqTable` in class `ATRfidUhf`
      Parameters:
        `table` - An instance of FreqTableList that specifies the frequency table to use for the RFID UHF module. The FreqTableList instance must use the instance returned in getFreqTable.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectFlag

          public SelectFlag getSelectFlag()
                                   throws ATException

      Description copied from class: `ATRfidUhf`
      The RFID UHF module of the device returns the status of the Select Flag of the tag to be read by the Inventory operation.
      Specified by:
        `getSelectFlag` in class `ATRfidUhf`
      Returns:
        The SelectFlag enumeration type that specifies the state of the Select Flag of the tag that the RFID UHF module will read.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectFlag

          public void setSelectFlag(SelectFlag flag)
                             throws ATException

      Description copied from class: `ATRfidUhf`
      The RFID UHF module of the device sets the status of the Select Flag of the tag to be read by the Inventory operation.
      Specified by:
        `setSelectFlag` in class `ATRfidUhf`
      Parameters:
        `flag` - The SelectFlag enumeration type that specifies the state of the Select Flag of the tag that the RFID UHF module will read.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSessionFlag

          public SessionFlag getSessionFlag()
                                     throws ATException

      Description copied from class: `ATRfidUhf`
      The RFID UHF module of the device returns the status of the Session Flag of the tag to be read by the Inventory operation.
      Specified by:
        `getSessionFlag` in class `ATRfidUhf`
      Returns:
        The SessionFlag enumeration type that specifies the state of the Session Flag of the tag to be read by the RFID UHF module.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSessionFlag

          public void setSessionFlag(SessionFlag flag)
                              throws ATException

      Description copied from class: `ATRfidUhf`
      Device's RFID UHF module sets the state of Session flag of tag to read by Inventory operation.
      Specified by:
        `setSessionFlag` in class `ATRfidUhf`
      Parameters:
        `flag` - The SessionFlag enumeration type that specifies the state of the Session Flag of the tag to be read by the RFID UHF module.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSessionTarget

          public SessionTarget getSessionTarget()
                                         throws ATException

      Description copied from class: `ATRfidUhf`
      The RFID UHF module of the device returns the Session Flag to check the state of the Session Flag of the tag to be read by the Inventory operation.
      Specified by:
        `getSessionTarget` in class `ATRfidUhf`
      Returns:
        The SessionTarget enumeration that specifies the Session Flag of the tag to read from the RFID UHF module.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSessionTarget

          public void setSessionTarget(SessionTarget target)
                                throws ATException

      Description copied from class: `ATRfidUhf`
      Device's RFID UHF module sets the Session Flag to check the status of the Session Flag of the tag to be read by Inventory operation.
      Specified by:
        `setSessionTarget` in class `ATRfidUhf`
      Parameters:
        `target` - The SessionTarget enumeration that specifies the Session Flag of the tag to read from the RFID UHF module.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMask6cEnabled

          public boolean getSelectMask6cEnabled(int index)
                                         throws ATException

      Description copied from class: `ATRfidUhf`
      Returns whether to use the Selection Mask item of the RFID UHF module of the Device.
      Specified by:
        `getSelectMask6cEnabled` in class `ATRfidUhf`
      Parameters:
        `index` - Selection Mask Integer specifying the radix of the item item. The Selection Mask has eight Selection Mask items from 0 to 7.
      Returns:
        Selection Mask A boolean specifying whether to apply the item.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectMask6cEnabled

          public void setSelectMask6cEnabled(int index,
                                             boolean enabled)
                                      throws ATException

      Description copied from class: `ATRfidUhf`
      Set whether or not to use the Selection Mask item of the RFID UHF module of the Device.
      Specified by:
        `setSelectMask6cEnabled` in class `ATRfidUhf`
      Parameters:
        `index` - Selection Mask Integer specifying the radix of the item item. The Selection Mask has eight Selection Mask items from 0 to 7.
        `enabled` - Selection Mask A boolean specifying whether to apply the item.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMask6cTarget

          public Mask6cTarget getSelectMask6cTarget(int index)
                                             throws ATException

      Description copied from class: `ATRfidUhf`
      Returns the Flag of the tag to store the comparison result of Selection Mask item of RFID UHF module of Device.
      Specified by:
        `getSelectMask6cTarget` in class `ATRfidUhf`
      Parameters:
        `index` - Selection Mask Integer specifying the radix of the item item. The Selection Mask has eight Selection Mask items from 0 to 7.
      Returns:
        The Mask6cTarget enumeration that specifies the Flag of the tag to store the result of the specified Selection Mask item comparison.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectMask6cTarget

          public void setSelectMask6cTarget(int index,
                                            Mask6cTarget target)
                                     throws ATException

      Description copied from class: `ATRfidUhf`
      Set the Flag of the tag to save the comparison result of Selection Mask item of the RFID UHF module of the device.
      Specified by:
        `setSelectMask6cTarget` in class `ATRfidUhf`
      Parameters:
        `index` - Selection Mask Integer specifying the radix of the item item. The Selection Mask has eight Selection Mask items from 0 to 7.
        `target` - The Mask6cTarget enumeration that specifies the Flag of the tag to store the result of the specified Selection Mask item comparison.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMask6cAction

          public Mask6cAction getSelectMask6cAction(int index)
                                             throws ATException

      Description copied from class: `ATRfidUhf`
      Returns the comparison behavior of the Selection Mask item of the RFID UHF module of the Device.
      Specified by:
        `getSelectMask6cAction` in class `ATRfidUhf`
      Parameters:
        `index` - Selection Mask Integer specifying the radix of the item item. The Selection Mask has eight Selection Mask items from 0 to 7.
      Returns:
        The Mask6cAction enumeration specifying how to compare the specified Selection Mask items.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectMask6cAction

          public void setSelectMask6cAction(int index,
                                            Mask6cAction action)
                                     throws ATException

      Description copied from class: `ATRfidUhf`
      Set the comparison behavior of the Selection Mask item of the RFID UHF module of the device.
      Specified by:
        `setSelectMask6cAction` in class `ATRfidUhf`
      Parameters:
        `index` - Selection Mask Integer specifying the radix of the item item. The Selection Mask has eight Selection Mask items from 0 to 7.
        `action` - The Mask6cAction enumeration specifying how to compare the specified Selection Mask items.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMask6cBank

          public BankType getSelectMask6cBank(int index)
                                       throws ATException

      Description copied from class: `ATRfidUhf`
      The Selection Mask item of the Device's RFID UHF module returns the memory bank to compare.
      Specified by:
        `getSelectMask6cBank` in class `ATRfidUhf`
      Parameters:
        `index` - Selection Mask Integer specifying the radix of the item item. The Selection Mask has eight Selection Mask items from 0 to 7.
      Returns:
        The BankType enumeration that specifies the memory bank to be compared with the specified Selection Mask item. Reserved bank is not used.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectMask6cBank

          public void setSelectMask6cBank(int index,
                                          BankType bank)
                                   throws ATException

      Description copied from class: `ATRfidUhf`
      The Selection Mask item of the RFID UHF module of the device sets the memory bank to be compared.
      Specified by:
        `setSelectMask6cBank` in class `ATRfidUhf`
      Parameters:
        `index` - Selection Mask Integer specifying the radix of the item item. The Selection Mask has eight Selection Mask items from 0 to 7.
        `bank` - The BankType enumeration that specifies the memory bank to be compared with the specified Selection Mask item. Reserved bank is not used.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMask6cOffset

          public int getSelectMask6cOffset(int index)
                                    throws ATException

      Description copied from class: `ATRfidUhf`
      The Selection Mask item of the RFID UHF module of the Device returns the starting address of the memory to start the comparison.
      Specified by:
        `getSelectMask6cOffset` in class `ATRfidUhf`
      Parameters:
        `index` - Selection Mask Integer specifying the radix of the item item. The Selection Mask has eight Selection Mask items from 0 to 7.
      Returns:
        An integer specifying the starting address at which the specified Selection Mask item will start the comparison. The unit specifying the start address of the Selection Mask is bit.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectMask6cOffset

          public void setSelectMask6cOffset(int index,
                                            int offset)
                                     throws ATException

      Description copied from class: `ATRfidUhf`
      The Selection Mask item of the RFID UHF module of the device sets the start address of the memory to start the comparison.
      Specified by:
        `setSelectMask6cOffset` in class `ATRfidUhf`
      Parameters:
        `index` - Selection Mask Integer specifying the radix of the item item. The Selection Mask has eight Selection Mask items from 0 to 7.
        `offset` - An integer specifying the starting address at which the specified Selection Mask item will start the comparison. The unit specifying the start address of the Selection Mask is bit.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMask6cPattern

          public Mask6cPattern getSelectMask6cPattern(int index)
                                               throws ATException

      Description copied from class: `ATRfidUhf`
      Returns the comparison value and length of the Selection Mask item of the RFID UHF module of the Device.
      Specified by:
        `getSelectMask6cPattern` in class `ATRfidUhf`
      Parameters:
        `index` - Selection Mask Integer specifying the radix of the item item. The Selection Mask has eight Selection Mask items from 0 to 7.
      Returns:
        An instance of Mask6cPattern specifying the comparison value and length of the specified Selection Mask item.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectMask6cPattern

          public void setSelectMask6cPattern(int index,
                                             Mask6cPattern pattern)
                                      throws ATException

      Description copied from class: `ATRfidUhf`
      Set the comparison value and length of the Selection Mask item of the RFID UHF module of the device.
      Specified by:
        `setSelectMask6cPattern` in class `ATRfidUhf`
      Parameters:
        `index` - Selection Mask Integer specifying the radix of the item item. The Selection Mask has eight Selection Mask items from 0 to 7.
        `pattern` - An instance of Mask6cPattern specifying the comparison value and length of the specified Selection Mask item.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getSelectMask6c

          public SelectMask6cParam getSelectMask6c(int index)
                                            throws ATException

      Description copied from class: `ATRfidUhf`
      Returns the Selection Mask item of the RFID UHF module of the Device.
      Specified by:
        `getSelectMask6c` in class `ATRfidUhf`
      Parameters:
        `index` - Selection Mask Integer specifying the radix of the item item. The Selection Mask has eight Selection Mask items from 0 to 7.
      Returns:
        An instance of SelectMask6cParam that specifies the specified Selection Mask item.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setSelectMask6c

          public void setSelectMask6c(int index,
                                      SelectMask6cParam param)
                               throws ATException

      Description copied from class: `ATRfidUhf`
      Set the Selection Mask item of the RFID UHF module of the Device.
      Specified by:
        `setSelectMask6c` in class `ATRfidUhf`
      Parameters:
        `index` - Selection Mask Integer specifying the radix of the item item. The Selection Mask has eight Selection Mask items from 0 to 7.
        `param` - An instance of SelectMask6cParam that specifies the specified Selection Mask item.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getEpcMaskCount

          public int getEpcMaskCount()
                              throws ATException

      Description copied from class: `ATRfidUhf`
      Returns the number of EPC Mask items in the RFID UHF module of the device.
      Specified by:
        `getEpcMaskCount` in class `ATRfidUhf`
      Returns:
        An integer representing the number of EPC Mask items stored on the device
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getEpcMaskMatchMode

          public boolean getEpcMaskMatchMode()
                                      throws ATException

      Description copied from class: `ATRfidUhf`
      Returns the method of comparing the EPC Mask items of the RFID UHF module of the Device.
      Specified by:
        `getEpcMaskMatchMode` in class `ATRfidUhf`
      Returns:
        EPC A boolean specifying whether the mask is masked if it does not match or masked if it does not.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setEpcMaskMatchMode

          public void setEpcMaskMatchMode(boolean enabled)
                                   throws ATException

      Description copied from class: `ATRfidUhf`
      Set the method of comparing EPC Mask items of the RFID UHF module of the device.
      Specified by:
        `setEpcMaskMatchMode` in class `ATRfidUhf`
      Parameters:
        `enabled` - EPC A boolean specifying whether the mask is masked if it does not match or masked if it does not.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### clearEpcMask

          public void clearEpcMask()
                            throws ATException

      Description copied from class: `ATRfidUhf`
      Remove all EPC Mask items from the RFID UHF module of the device.
      Specified by:
        `clearEpcMask` in class `ATRfidUhf`
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### addEpcMask

          public void addEpcMask(EpcMaskParam param)
                          throws ATException

      Description copied from class: `ATRfidUhf`
      Add the EPC Mask of the RFID UHF module of the Device.
      Specified by:
        `addEpcMask` in class `ATRfidUhf`
      Parameters:
        `param` - An instance of EpcMaskParam that specifies an EPC Mask item.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getEpcMask

          public EpcMaskParam getEpcMask(int index)
                                  throws ATException

      Description copied from class: `ATRfidUhf`
      Returns the EPC Mask of the RFID UHF module of the Device.
      Specified by:
        `getEpcMask` in class `ATRfidUhf`
      Parameters:
        `index` - EPC Mask Integer specifying the radix of the item.
      Returns:
        An instance of EpcMaskParam that represents an EPC Mask item that corresponds to the specified Index.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getCurrentLinkProfile

          public int getCurrentLinkProfile()
                                    throws ATException

      Description copied from class: `ATRfidUhf`
      Returns the link profile of the RFID UHF module of the Device. ( Temporarily Type )
      Specified by:
        `getCurrentLinkProfile` in class `ATRfidUhf`
      Returns:
        An integer indicating the link profile of the RFID UHF module.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setCurrentLinkProfile

          public void setCurrentLinkProfile(int index)
                                     throws ATException

      Description copied from class: `ATRfidUhf`
      Sets the link profile of the RFID UHF module of the Device. ( Temporarily Type )
      Specified by:
        `setCurrentLinkProfile` in class `ATRfidUhf`
      Parameters:
        `index` - This is an integer specifying the link profile of the RFID UHF module. The value range can be set from 0 to 3.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getDefaultLinkProfile

          public int getDefaultLinkProfile()
                                    throws ATException

      Description copied from class: `ATRfidUhf`
      Returns the link profile of the RFID UHF module of the Device. ( Permanently Type ) The power of the device must be turned off and on.
      Specified by:
        `getDefaultLinkProfile` in class `ATRfidUhf`
      Returns:
        An integer indicating the link profile of the RFID UHF module.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### setDefaultLinkProfile

          public void setDefaultLinkProfile(int index)
                                     throws ATException

      Description copied from class: `ATRfidUhf`
      Sets the link profile of the RFID UHF module of the Device. ( Permanently Type ) The power of the device must be turned off and on.
      Specified by:
        `setDefaultLinkProfile` in class `ATRfidUhf`
      Parameters:
        `index` - This is an integer specifying the link profile of the RFID UHF module. The value range can be set from 0 to 3.
      Throws:
        `ATException` - An ATException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### onReadTag

          public void onReadTag(java.lang.String tag,
                                java.lang.Object params)

      Specified by:
        `onReadTag` in interface `com.atid.lib.module.rfid.uhf.module.ATModuleRfidUhf.IModuleRfidUhfEventListener`

    - #### onAccessResult

          public void onAccessResult(ResultCode code,
                                     ActionType action,
                                     java.lang.String epc,
                                     java.lang.String data,
                                     java.lang.Object params)

      Specified by:
        `onAccessResult` in interface `com.atid.lib.module.rfid.uhf.module.ATModuleRfidUhf.IModuleRfidUhfEventListener`

    - #### onPowerGainChanged

          public void onPowerGainChanged(int power,
                                         java.lang.Object params)

      Specified by:
        `onPowerGainChanged` in interface `com.atid.lib.module.rfid.uhf.module.ATModuleRfidUhf.IModuleRfidUhfEventListener`

    - #### assertModule

          protected void assertModule()
                               throws ATException

      Throws:
        `ATException`

    - #### assertAction

          protected void assertAction()
                               throws ATException

      Throws:
        `ATException`

    - #### setAction

          protected void setAction(ActionState action,
                                   java.lang.String password)
                            throws ATException

      Throws:
        `ATException`

    - #### checkError

          protected ResultCode checkError()

    - #### setException

          protected void setException(ATException e)